/*
 *	On-screen Display Daemon -- Utility Functions
 *
 *	(c) 2010 Martin Mares <mj@ucw.cz>
 */

#include <inttypes.h>

#define NONRET __attribute__((noreturn))
#define FORMAT_CHECK(func,i,j) __attribute__((format(func,i,j)))

typedef uint64_t timestamp_t;

/* util.c */

void NONRET FORMAT_CHECK(printf,1,2) die(char *fmt, ...);

#ifdef DEBUG
#define DBG(f...) printf(f)
#else
#define DBG(f...) do { } while(0)
#endif

void *xmalloc(int size);

timestamp_t get_current_time(void);

/* client.c */

void osd_init(void);

struct osd_msg;
struct osd_msg *osd_new_msg(void);
void osd_add_line(struct osd_msg *msg, char *key, char *val);
void osd_send(struct osd_msg *msg);

void osd_fork(void);
void osd_wait(int seconds);
